Bug 838580 - wrong permissions on directories after install
wrong permissions on directories after install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
rawhide
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 10:14 EDT by customercare
Modified: 2013-01-22 04:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 04:40:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description customercare 2012-07-09 10:14:37 EDT
Description of problem:

A mailman permission check found 134 errors after the rpm got installed:

sorry for the german output, i believe you will see what you need to know :) )

#  /usr/lib/mailman/bin/check_perms 
Verzeichnisrechte müssen midestens 02775 betragen: /usr/lib/mailman (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/scripts (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/mail (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/cgi-bin (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/tests (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages (korrigiere)
/usr/lib/mailman/Mailman falsche GID (ist: root, soll: mailman) (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/pythonlib (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/icons (korrigiere)
/usr/lib/mailman/cron falsche GID (ist: root, soll: mailman) (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/cron (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/bin (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/zh_TW (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/it (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/ca (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/sr (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/hu (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/ja (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/ia (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/no (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/cs (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/sl (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/ru (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/gl (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/tr (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/da (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/ko (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/hr (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/pt_BR (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/es (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/ast (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/zh_CN (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/fi (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/ar (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/sk (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/fr (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/et (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/pt (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/he (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/sv (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/pl (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/eu (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/uk (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/ro (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/en (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/vi (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/nl (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/lt (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/templates/de (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/tests/bounces (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/tests/msgs (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/zh_TW (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/it (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ca (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/sr (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/hu (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ja (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ia (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/no (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/cs (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/sl (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ru (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/gl (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/tr (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/da (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ko (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/hr (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/pt_BR (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/es (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ast (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/zh_CN (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/fi (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ar (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/sk (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/fr (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/et (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/pt (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/he (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/sv (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/pl (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/eu (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/uk (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ro (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/vi (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/nl (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/lt (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/de (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/zh_TW/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/it/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ca/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/sr/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/hu/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ja/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ia/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/no/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/cs/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/sl/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ru/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/gl/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/tr/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/da/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ko/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/hr/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/pt_BR/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/es/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ast/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/zh_CN/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/fi/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ar/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/sk/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/fr/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/et/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/pt/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/he/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/sv/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/pl/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/eu/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/uk/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/ro/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/vi/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/nl/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/lt/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/messages/de/LC_MESSAGES (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/Logging (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/Bouncers (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/MTA (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/Gui (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/Handlers (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/Cgi (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/Commands (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/Archiver (korrigiere)
Verzeichnisrechte müssen 02775 sein für: /usr/lib/mailman/Mailman/Queue (korrigiere)
Probleme aufgetreten:  134                                                      


Version-Release number of selected component (if applicable):

2.1.14

suggested Fix : 

run "/usr/lib/mailman/bin/check_perms -f " in rpm's POST batch, with >/dev/null or the user worried.
Comment 1 customercare 2012-07-12 04:07:55 EDT
BTW: mailman complains about a missing mailman mailinglist. As it's completly useless, it can be auto created OR the bug on which the yelling about the missing mailman list is caused by, could be fixed. 

i.E. like this:

/usr/lib/mailman/bin/newlist -q -l en mailman root@`hostname`
Comment 2 Jan Kaluža 2012-07-16 10:25:12 EDT
Those permissions are there because of Bug 701539.

> The directory /usr/lib/mailman/cgi-bin
> has perms 2775 with set-group-id apps inside this directory
> which have perms 2755.
> 
> Shouldn't the directory also have the write-group perm
> removed?
> 
> E.g. sendmail is checking for this condition and does not trust
> the applications inside this dir.

It should not be problem to run mailman with those permissions. I admit it's not good it breaks check_perms script, but this permissions are even stricter than to ones suggested by check_perms
Comment 3 Fedora End Of Life 2013-01-16 17:49:19 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.